{% extends 'dragonboard-845c.jinja2' %}
{% set connection_list = ['uart0'] %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set connection_commands = {'uart0': 'telnet dispatcher04 7135'} %}
{% set adb_serial_number = 'b82facd' %}
{% set fastboot_serial_number = 'b82facd' %}

{# OTG port control #}

{% set pre_power_command = '/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher04-hub02 -m sync -u 11' %}
{% set pre_os_command = '/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher04-hub02 -m off -u 11' %}
{% set hard_reset_command = ['/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher04-hub02 -m off -u 11',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command reboot --port 5',
'/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher04-hub02 -m sync -u 11'] %}
{% set power_on_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command on --port 5',
'/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher04-hub02 -m sync -u 11'] %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command off --port 5',
'/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher04-hub02 -m off -u 11'] %}
{% set device_info = [{'board_id': 'b82facd'}] %}
{% set flash_cmds_order = ['update', 'ptable', 'partition', 'partition:0',
                           'partition:1', 'partition:2', 'partition:3',
                           'partition:4','partition:5', 'hyp', 'modem',
                           'rpm', 'sbl1', 'sbl2', 'sec', 'tz', 'aboot',
                           'boot', 'rootfs', 'vendor', 'system', 'cache',
                           'userdata', ] %}

{% set sync_to_lava = {'device_type': 'dragonboard-845c', 'worker': 'dispatcher04.lavalab', 'tags': ['lcg'], 'aliases': []} %}
